jif.visit

## Enum IntegerBoundsChecker.Bound.Type

- java.lang.Object
- - java.lang.Enum<IntegerBoundsChecker.Bound.Type>
  - - jif.visit.IntegerBoundsChecker.Bound.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IntegerBoundsChecker.Bound.Type>
  Enclosing class:
    IntegerBoundsChecker.Bound

      protected static enum IntegerBoundsChecker.Bound.Type
      extends java.lang.Enum<IntegerBoundsChecker.Bound.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GE`
    `GT`
    `LE`
    `LT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isLower()`
    `boolean` | `isStrict()`
    `boolean` | `isUpper()`
    `IntegerBoundsChecker.Bound.Type` | `nonStrict()`
    `IntegerBoundsChecker.Bound.Type` | `strict()`
    `IntegerBoundsChecker.Bound.Type` | `strict(boolean strict)`
    `java.lang.String` | `toString()`
    `static IntegerBoundsChecker.Bound.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IntegerBoundsChecker.Bound.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LT

          public static final IntegerBoundsChecker.Bound.Type LT

    - #### LE

          public static final IntegerBoundsChecker.Bound.Type LE

    - #### GT

          public static final IntegerBoundsChecker.Bound.Type GT

    - #### GE

          public static final IntegerBoundsChecker.Bound.Type GE

  - ### Method Detail

    - #### values

          public static IntegerBoundsChecker.Bound.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IntegerBoundsChecker.Bound.Type c : IntegerBoundsChecker.Bound.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IntegerBoundsChecker.Bound.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isLower

          public boolean isLower()

    - #### isUpper

          public boolean isUpper()

    - #### isStrict

          public boolean isStrict()

    - #### strict

          public IntegerBoundsChecker.Bound.Type strict()

    - #### nonStrict

          public IntegerBoundsChecker.Bound.Type nonStrict()

    - #### strict

          public IntegerBoundsChecker.Bound.Type strict(boolean strict)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<IntegerBoundsChecker.Bound.Type>`